summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Nate Bargmann2017-11-19 20:53:39 +0100
committer Willy Sudiarto Raharjo2017-11-20 11:59:13 +0100
commit0e87b5e91725b09a8f0c0d8d5e0e86e4c78070a6 (patch)
tree1718af38c594d768145e75ed57d2a7bab2313a4e /ham
parentcda3db38cc18fa73b362849fffb19ccd7f779dd7 (diff)
downloadslackbuilds-0e87b5e91725b09a8f0c0d8d5e0e86e4c78070a6.tar.gz
ham/wsjtx: Added (Weak Signal Communication, by K1JT).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/wsjtx/README8
-rw-r--r--ham/wsjtx/doinst.sh3
-rw-r--r--ham/wsjtx/slack-desc19
-rw-r--r--ham/wsjtx/wsjtx.SlackBuild99
-rw-r--r--ham/wsjtx/wsjtx.info10
5 files changed, 139 insertions, 0 deletions
diff --git a/ham/wsjtx/README b/ham/wsjtx/README
new file mode 100644
index 0000000000..3b0d52336c
--- /dev/null
+++ b/ham/wsjtx/README
@@ -0,0 +1,8 @@
+WSJT-X ("Weak Signal Communication, by K1JT") offers specific digital protocols
+optimized for EME (moonbounce), meteor scatter, and ionospheric scatter, at
+VHF/UHF, as well as for LF, MF, and HF propagation. The program can decode
+fraction-of-a-second signals reflected from ionized meteor trails and steady
+signals more than 10 dB below the audible threshold. WSJT-X incorporates nearly
+all popular capabilities of programs WSJT and WSPR, while adding comprehensive
+rig control and many other features. Check the WSJT-X page and links therein
+for details about modes FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR.
diff --git a/ham/wsjtx/doinst.sh b/ham/wsjtx/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/ham/wsjtx/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/ham/wsjtx/slack-desc b/ham/wsjtx/slack-desc
new file mode 100644
index 0000000000..1446db3b42
--- /dev/null
+++ b/ham/wsjtx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wsjtx: wsjtx (Weak Signal Communication, by K1JT)
+wsjtx:
+wsjtx: Offers specific digital protocols optimized for EME (moonbounce),
+wsjtx: meteor scatter, and ionospheric scatter, at VHF/UHF, as well as for
+wsjtx: LF, MF, and HF propagation. The program can decode
+wsjtx: fraction-of-a-second signals reflected from ionized meteor trails
+wsjtx: and steady signals more than 10 dB below the audible threshold.
+wsjtx:
+wsjtx: Homepage: http://physics.princeton.edu/pulsar/K1JT/
+wsjtx:
+wsjtx:
diff --git a/ham/wsjtx/wsjtx.SlackBuild b/ham/wsjtx/wsjtx.SlackBuild
new file mode 100644
index 0000000000..c759d8d7ab
--- /dev/null
+++ b/ham/wsjtx/wsjtx.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for wsjtx
+
+# Copyright 2017 Nate Bargmann <n0nb@arrl.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=${PRGNAM:-wsjtx}
+VERSION=${VERSION:-1.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -Wno-dev \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_DOCDIR=doc/$PRGNAM-$VERSION \
+ -DCMAKE_INSTALL_MANDIR=man \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm $PKG/usr/doc/$PRGNAM-$VERSION/changelog.Debian.gz
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/wsjtx/wsjtx.info b/ham/wsjtx/wsjtx.info
new file mode 100644
index 0000000000..5ffea1644d
--- /dev/null
+++ b/ham/wsjtx/wsjtx.info
@@ -0,0 +1,10 @@
+PRGNAM="wsjtx"
+VERSION="1.8.0"
+HOMEPAGE="http://physics.princeton.edu/pulsar/K1JT/"
+DOWNLOAD="https://sourceforge.net/projects/wsjt/files/wsjtx-1.8.0/wsjtx-1.8.0.tgz"
+MD5SUM="13b863d113b864238cf1b07743af39e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5 rubygem-asciidoctor"
+MAINTAINER="Nate Bargmann"
+EMAIL="n0nb@arrl.net"